Subject: Re: linux-next: manual merge of the landlock tree with the tip tree

From: Mickaël Salaün <[email-masked]>
Date: Tue, 20 Jun 2023 11:10:51 +0200

Hi Thomas,

There is a (trivial) merge conflict because one of your commits adds 
ARCH_HAS_CPU_FINALIZE_INIT and one of mine removes ARCH_EPHEMERAL_INODES 
in arch/um/Kconfig.

I don't plan to add more commits to my tree until the merge window and 
I'd like to send a PR to Linus as soon as it is open. Would that be OK 
with you to let Linus deal with this trivial conflict or do you prefer 
one of us to rebase on the other's tree?

Regards,
  Mickaël

On 20/06/2023 05:55, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the landlock tree got a conflict in:
> 
>    arch/um/Kconfig
> 
> between commit:
> 
>    9349b5cd0908 ("um/cpu: Switch to arch_cpu_finalize_init()")
> 
> from the tip tree and commit:
> 
>    74ce793bcbde ("hostfs: Fix ephemeral inodes")
> 
> from the landlock tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
>